Bug 269000 - Auto mounts list should be restored on subsequent connection
Auto mounts list should be restored on subsequent connection
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-16 10:50 UTC by Vladimir Kvashin
Modified: 2016-12-10 02:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-16 10:50:47 UTC
Now IDE is able to determine the list of auto mounts. This helps a lot (otherwise it works wrong with these directories). But determining this list takes time; until it is detected, a fixed list is used.

So there are 2 problems: 
1) after connect and until correct auto mounts are detected, file system can work wrong
2) file system behaviour is inconsistent (first it uses one list of auto mounts, then it changes it)

Ideal solving this problem requires adding more synchronization, which is error prone.

I propose just to remember the list of auto mounts from previous connect (or previous IDE session). This won't add delay and does not need synchronization.
Comment 1 Vladimir Kvashin 2016-12-07 21:58:46 UTC
fixed in d878b67652ee, b46bfd32cc57 on enum/release82
Comment 2 Quality Engineering 2016-12-10 02:59:41 UTC
Integrated into 'main-silver', will be available in build *201612100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b00fdfaa5f55
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: refactoring berfore fixing #269000 - Auto mounts list should be restored on subsequent connection
(transplanted from d878b67652ee5b1b9a8920290141298046198ffe)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo